#1412 closed defect (fixed)

Size column in WUI directory listings should be right-justified

Reported by: davidsarah Owned by: zooko
Priority: minor Milestone: 1.9.0
Component: code-frontend-web Version: 1.8.2
Keywords: easy reviewed Cc:
Launchpad Bug:

Description

<stercor> A nit: in the Tahoe-LAFS Directory screen, it would be nice to have the Size column right-justified so that the size of the data is easier to see. <stercor> Well, it can be seen OK, but right-alignment would be better.

Attachments (3)

0 (102 bytes) - added by stercor at 2011-06-05T22:52:25Z.
Patch file.
right_adjust.diff (539 bytes) - added by stercor at 2011-06-06T15:53:18Z.
Code to right-justify in Size field of "TAHOE-LAFS SI=" WUI screen.
right_adjust2.diff (542 bytes) - added by terrell at 2011-06-07T01:06:05Z.
same as stercor's, but without the spurious tab character

Download all attachments as: .zip

Change History (12)

comment:1 Changed at 2011-05-26T22:50:49Z by zooko

  • Keywords easy added

comment:2 Changed at 2011-06-05T22:31:39Z by stercor

  • Owner set to stercor
  • Status changed from new to assigned

Changed at 2011-06-05T22:52:25Z by stercor

  • Attachment 0 added

Patch file.

Changed at 2011-06-06T15:53:18Z by stercor

Code to right-justify in Size field of "TAHOE-LAFS SI=" WUI screen.

comment:3 Changed at 2011-06-06T15:58:13Z by stercor

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:4 Changed at 2011-06-06T16:10:21Z by stercor

  • Keywords needs-review added; wui usability easy removed
  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:5 follow-up: Changed at 2011-06-06T17:18:17Z by warner

  • Keywords needs-patch added; needs-review removed

Oh, one tiny tiny nitpick: could you change the patch to retain the amount of leading whitespace? It looks like it moved from 6 spaces to 10 or so (maybe a tab showed up in your editor?). That'd just make the final code line up nicer. Thanks!

comment:6 in reply to: ↑ 5 Changed at 2011-06-07T00:33:41Z by stercor

Replying to warner:

Oh, one tiny tiny nitpick: could you change the patch to retain the amount of leading whitespace? It looks like it moved from 6 spaces to 10 or so (maybe a tab showed up in your editor?). That'd just make the final code line up nicer. Thanks!

The table width is fixed at 100% of the page. HTML attempts to lay out the table as it sees fit. I tried removing the "width: 100%" and everything lined up pleasingly. However, the variable-width table did not look good on the page.

I'd like to hear an easy solution to this. Setting column widths would not be a good solution, IMHO. If that's the only way to do it, then...

Ted

Changed at 2011-06-07T01:06:05Z by terrell

same as stercor's, but without the spurious tab character

comment:7 Changed at 2011-06-07T01:12:07Z by terrell

  • Keywords easy reviewed added; needs-patch removed
  • Milestone changed from undecided to 1.9.0
  • Owner changed from stercor to zooko
  • Status changed from reopened to new

also, i've reviewed the change, and it applies cleanly, and does what the label says.

comment:8 Changed at 2011-06-11T15:50:28Z by zooko@…

  • Resolution set to fixed
  • Status changed from new to closed

In 06bf0360d63141e6:

wui: right-align the size column in the WUI
Thanks to Ted "stercor" Rolle Jr. and Terrell Russell.
fixes #1412

comment:9 Changed at 2011-06-11T16:49:22Z by zooko@…

In be1ebde6e5db1fae:

tests: fix tests to accomodate 06bf0360d63141e6
Apparently none of the two authors (stercor, terrell), three reviewers (warner, davidsarah, terrell), or one committer (me) actually ran the tests. This is presumably due to #20.
fixes #1412

Note: See TracTickets for help on using tickets.